dofile("string.lua")

function findpattern(text, pattern, start)
   return string.sub(text, string.find(text, pattern, start))
end

function boolToText(val)
  if val == true then
    return "True"
  else
    return "False"
  end
end

function valOrNil(t)
  if type(t) == "nil" then
    return "nil"
  else
    return t
  end
end

function pluralize(num)
   if num ~= 1 then return "s" else return "" end
end


-- added for compatibility with PSP Lua Player
-- table functions
function tinsert(t, p, v)
   if t == nil then
    return false 
  else
    return table.insert(t, p, v)
  end
end

function tinsert(t, v)
  if t == nil then
    return false 
  else
    return table.insert(t, v)
  end
end

function tremove(t)
 return table.remove(t)
end

function tremove(t, pos)
 return table.remove(t, pos)
end

-- string functions
function strfind(s, pattern)
 return string.find(s, pattern)
end

function strfind(s, pattern, init)
 return string.find(s, pattern, init)
end

function strfind(s, pattern, init, plain)
 return string.find(s, pattern, init, plain)
end

function strsub(s, i)
 return string.sub(s, i)
end

function strsub(s, i, j)
 return string.sub(s, i, j)
end

function gsub(s, pat, repl)
 return string.gsub(s, pat, repl)
end

function gsub(s, pat, repl, n)
 return string.gsub(s, pat, repl, n)
end